Bug 167168 - Inspiron 9300 locks hard when resuming from ACPI suspend to mem
Inspiron 9300 locks hard when resuming from ACPI suspend to mem
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-31 05:48 EDT by Didier
Modified: 2015-01-04 17:21 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.6.18-1.2200.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-20 07:04:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vv > lspci_vv.out (12.57 KB, text/plain)
2005-08-31 05:51 EDT, Didier
no flags Details
dmesg > dmesg.out (27.44 KB, text/plain)
2005-08-31 05:52 EDT, Didier
no flags Details
cat /proc/acpi/dsdt > proc_acpi_dsdt.out (10.53 KB, text/plain)
2005-08-31 05:53 EDT, Didier
no flags Details
acpidump -o acpidump.out (58.54 KB, text/plain)
2005-08-31 05:54 EDT, Didier
no flags Details
dmidecode > dmidecode.out (11.76 KB, text/plain)
2005-08-31 05:55 EDT, Didier
no flags Details
dmesg 2.6.15-1.1830_FC4 (19.93 KB, text/plain)
2006-02-06 03:54 EST, Didier
no flags Details

  None (edit)
Description Didier 2005-08-31 05:48:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6 Mnenhy/0.7.2.0

Description of problem:



Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1447_FC4

How reproducible:
Always

Steps to Reproduce:
1. Boot laptop in single user
2. # echo -n mem > /sys/power/state

  

Actual Results:  Laptop suspends ; the mooncrest LED lights on and off, indicating a successful suspend.

When pressing the power button to resume from suspend, the laptop turns on, the harddisk LED lights, screen stays blank, no more activity.

No SysRq-functionality ; system is hard-locked.


Expected Results:  This being a laptop, it should gracefully resume after suspend.


Additional info:

Dell Inspiron 9300, updated to latest BIOS A04.
Comment 1 Didier 2005-08-31 05:51:45 EDT
Created attachment 118282 [details]
lspci -vv > lspci_vv.out
Comment 2 Didier 2005-08-31 05:52:54 EDT
Created attachment 118283 [details]
dmesg > dmesg.out
Comment 3 Didier 2005-08-31 05:53:45 EDT
Created attachment 118284 [details]
cat /proc/acpi/dsdt > proc_acpi_dsdt.out
Comment 4 Didier 2005-08-31 05:54:45 EDT
Created attachment 118285 [details]
acpidump -o acpidump.out
Comment 5 Didier 2005-08-31 05:55:20 EDT
Created attachment 118286 [details]
dmidecode > dmidecode.out
Comment 6 Didier 2005-09-23 17:29:15 EDT
Tested with kernel-2.6.12-1.1456_FC4 , same problem :
After successful suspend, resuming lights up HD LED for 3 seconds, HD LED stops
for 1 second, then HD LED continues lights up indefinitely ; no display
activity, no SysRq.
Comment 7 Dave Jones 2005-09-30 02:53:51 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 8 Didier 2005-10-03 04:47:07 EDT
Tested with kernel-2.6.13-1.1526_FC4 , same problem (hard lock-up on resume) ;
this is in single user mode with *all* modules removed, except for 'ext3' and 'jbd'.


Comment 9 Sumedha Widyadharma 2005-10-21 08:24:09 EDT
I have the same problem on a Thinkpad T43 fully upgraded FC4, kernel 1526.
Missing SCSI/SATA suspend capability seems to be the culprit. There are patches,
but I dislike recompiling kernels.
Comment 10 Didier 2005-10-21 09:20:38 EDT
Same problem with kernel-2.6.13-1.1532_FC4.
If I am not mistaken, Mr. Garzik indicated that the SATA subsystem would be
updates in the (near ?) future. I have no objection to recompiling kernels, but
gratuitously patching the storage subsystem without "official" approval of the
maintainer seems a bit too risky.
Comment 11 Didier 2005-11-03 10:41:17 EST
Tested with 2.6.14-1.1633_FC4 (initlevel 1).

- With modules loaded : hard lock-up on resume.

- With all modules unloaded (except ext3,jbd,ata_piix,libata,sd_mod,scsi_mod) :
black screen, the keyboard responds to e.g. "Caps Lock", but not to SysRq events.
Comment 12 Dave Jones 2005-11-10 15:00:55 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 13 Didier 2005-11-15 12:01:40 EST
Same problem with kernel-2.6.14-1.1637_FC4.

Appearantly, resume from suspend is not supported with SATA device drivers.

WIP :
http://lkml.org/lkml/2005/9/23/97
http://seclists.org/lists/linux-kernel/2005/Sep/6657.html
http://seclists.org/lists/linux-kernel/2005/Oct/0056.html

(already included in Suse9.3/10 & Ubuntu)
Comment 14 Didier 2005-12-20 14:36:01 EST
Tested with 2.6.14-1.1653_FC4 (initlevel 1).

With all modules unloaded (except ext3,jbd,ata_piix,libata,sd_mod,scsi_mod) :
on resume there is a black screen, no disk activity, the system responds to
keyboard SysRq events.
Comment 15 Len Brown 2006-01-18 00:28:41 EST
Re: black screen
Systems that support Linux are required to re-POST video on resume from S3.
If they don't, then their BIOS is broken.

Of course that doesn't help you much, since your system didn't ship from
the vendor with Linux installed...  Try the video resume workarounds
in the source tree: Documentation/power/video.txt

Comment 16 Dave Jones 2006-02-03 00:53:08 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 17 Didier 2006-02-06 03:54:10 EST
Created attachment 124244 [details]
dmesg 2.6.15-1.1830_FC4

Tested with 2.6.15-1.1830_FC4 (initlevel 1, all modules removed), no
improvement.

I'll have a look at Len's suggestions (comment #15).


Note :
'$ cat /sys/power/state' now only reveals "mem" (previously "mem", "suspend"
and "disk").
Comment 18 Dave Jones 2006-07-29 01:32:53 EDT
it's likely this is going to need the various magic workarounds from pm-utils in
FC5.
Comment 19 Didier 2006-09-15 15:12:27 EDT
Tested with fully updated FC5 as of today, kernel 2.6.17-1.2187_FC5 , pm-utils
0.15.1.

1. Booted in single user mode (tested both with and without the Livna
kmod-nvidia kernel module, which makes no difference) :

a. both pm-suspend and pm-hibernate hardlock (no SysRq) the machine when resuming ;

b. "echo -n mem > /sys/power/state" resumes to a fully working machine
(networking et al), but the LCD-screen stays black (even with the vbetool
manipulations from /etc/pm/functions-nvidia) ;

c. "echo -n disk > /sys/power/state" resumes to a fully working machine.


2. Booted in X :

a. pm-suspend and pm-hibernate : hard-locked ;

b. 'mem > /sys/power/state' : fully working after resume, black screen ;

c. 'disk > /sys/power/state' : fully working after resume, but needs a
CTRL-ALT-F1 (VT) and ALT-F7 to restore the display. Note : in X, there are lots
of non-obtrusive randomly coloured dots visible, which disappear after letting
Nautilus redraw the screen.


(Note : "Gnome > System > Suspend" did work with one or two of the early 2.6.16
FC5 kernels).
Comment 20 Dave Jones 2006-09-16 22:49:08 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 21 Didier 2006-09-17 16:16:13 EDT
As specified in my comment #15 of yesterday, this was tested with a fully
up-to-date FC5, kernel 2.6.17-1.2187_FC5.
Comment 22 Dave Jones 2006-10-16 15:01:12 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 23 Didier 2006-10-20 07:04:27 EDT
Fixed in kernel 2.6.18-1.2200.fc5 ; finally being able to suspend, thanks to all
involved.

Note You need to log in before you can comment on or make changes to this bug.